<!-- templates/index.html -->
{% extends 'base.html' %}

{% block title %}Data Training{% endblock %}

{% block pages %}Data Training{% endblock %}

<!-- Data Menu -->
{% block home %}-{% endblock %}
{% block matkul %}-{% endblock %}
{% block topik %}-{% endblock %}
{% block mahasiswa %}-{% endblock %}
{% block training %}active{% endblock %}

{% block content %}
<div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <div class="card card-primary">
            <div class="card-header">
              <h3 class="card-title">Form Input Data Training</h3>
            </div>
            <!-- /.card-header -->
            <!-- form start -->
            <form method="POST" action="{{ url_for('edit_training_route', training_id=training.id) }}">
              <div class="card-body">
                <div class="form-group">
                  <label for="exampleInputPassword1">Nama Mahasiswa Lama</label>
                  <input type="hidden" name="training_id" class="form-control" value="{{ training.id }}" required>
                  <input type="text" name="nama" class="form-control" value="{{ training.nama }}" required>
                </div>
                <div class="form-group">
                  <label for="exampleInputPassword1">NIM Mahasiswa Lama</label>
                  <input type="text" name="nim" class="form-control" value="{{ training.nim }}" required>
                </div>
                <div class="form-group">
                  <label for="exampleInputPassword1">Topik Tugas Akhir</label>
                  <select id="topik_id" name="topik_id" class="form-control" required>
                    {% for topik in topiks %}
                        <option value="{{ topik.id }}" {% if topik.id == training.topik_id %} selected {% endif %}>{{ topik.nama }}</option>
                    {% endfor %}
                  </select>
                </div>
                {% for mata_kuliah in mata_kuliahs %}
                    <div class="form-group">
                        <label for="mata_kuliah_{{ mata_kuliah.id }}">{{ mata_kuliah.nama }}:</label>
                        <input type="text" class="form-control" name="mata_kuliah_{{ mata_kuliah.id }}" value="{{ get_nilai(training.id, mata_kuliah.id) }}" required>
                    </div>
                {% endfor %}
              </div>
              <!-- /.card-body -->

              <div class="card-footer">
                <button type="submit" class="btn btn-primary">Simpan</button>
              </div>
            </form>
          </div>
        <!-- /.card -->
      </div>
      <!-- /.col -->
    </div>
    <!-- /.row -->
  </div>


{% endblock %}